# PCLIStandard Class Reference

Command Line Interpreter over standard input/output. More...

`#include <cli.h>`

Inheritance diagram for PCLIStandard:

List of all members.

## Public Member Functions

PCLI::Context * | StartForeground ()
| Initialise a foreground context and return it.
Construction
| PCLIStandard (const char *prompt=NULL)
| Create new command line interpreter for standard I/O.
Overrides from PCLI
virtual bool | Start (bool runInBackground=true)
| Start a command line interpreter.

## Detailed Description

Command Line Interpreter over standard input/output.

## Constructor & Destructor Documentation

PCLIStandard::PCLIStandard | ( | const char * | prompt = `NULL` | ) |

Create new command line interpreter for standard I/O.

## Member Function Documentation

virtual bool PCLIStandard::Start | ( | bool | runInBackground = `true` | ) | `[virtual]`

Start a command line interpreter.

As for ancestor function, however if no contexts have been added, then on that takes a PConsoleChannel is automatically added.

Parameters:

  runInBackground | Spawn a thread to read and interpret commands

Reimplemented from PCLI.

PCLI::Context* PCLIStandard::StartForeground | ( |  | ) | `[virtual]`

Initialise a foreground context and return it.

Reimplemented from PCLI.

The documentation for this class was generated from the following file:

- cli.h